Skip to main content
`Ctrl`+`K`

# PetscDrawSPGetAxis

Gets the axis context associated with a scatter plot

## Synopsis

    #include "petscdraw.h"
    #include "petscsys.h"
    PetscErrorCode PetscDrawSPGetAxis(PetscDrawSP sp, PetscDrawAxis *axis)

Not Collective

## Input Parameter

- sp - the scatter plot context

## Output Parameter

- axis - the axis context

## Note

This is useful if one wants to change some axis property, such as labels, color, etc. The axis context should not be destroyed by the application code.

## See Also

`PetscDrawSP`, `PetscDrawSPCreate()`, `PetscDrawSPDraw()`, `PetscDrawSPAddPoint()`, `PetscDrawSPAddPoints()`, `PetscDrawAxis`, `PetscDrawAxisCreate()`

## Level

intermediate

## Location

src/sys/classes/draw/utils/dscatter.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages